getUniquePairs {SLGI} | R Documentation

## Find unique pairs from an genetic interaction matrix.

### Description

`getUniquePairs` can find all the unique pairs from an interaction matrix and supplementary array genes, or finds only the unique pairs that shows positive interaction.

### Usage

    getUniquePairs(iMat, respV = character(0), only = FALSE)

### Arguments

`iMat` | Adjacency matrix reporting genetic Interactions. Each entry has value 0 or 1, representing positive or negative interaction of corresponding pairs of row and column, respectively.
`respV` | Character vector of all gene names that were tested (found to interact or not)
`only` | has default value `FALSE`, if `TRUE`, then only reports the positively interacted pairs.

### Value

A data.frame with two or three columns. The first two columns are the query gene name and the array gene name, respectively. If `only` is `TRUE`, the third column shows the interaction status.

### Author(s)

Z. Jiang

### See Also

`getSharedDomains`

### Examples

    intM <- c(0,1,0,0,1,1,0,0,1,0,0,1,1,0,1,0)
    dim(intM) <- c(4,4)
    dimnames(intM) <- list(c("p1","p2","p3","p4"),c("p1","p3","p5","p7") )
    respV <- c("p6","p8")
    intM
    getUniquePairs(intM,respV,only=FALSE)
    getUniquePairs(intM,respV,only=TRUE)
    getUniquePairs(intM,only=FALSE)
    getUniquePairs(intM,only=TRUE)

[Package SLGI version 1.2.0 Index]